// For authoring Nightwatch tests, see
// http://nightwatchjs.org/guide#usage

//testcase name：已生成短信查询
//author：feizhao
//date：2017-11-17
//discription：用于测试登陆后，综合业务-短信管理的页面对已经生成的短信息按照不同条件查询
//step：1.登录主页面  2.查询已生成短信
//修改人：
//修改日期：
//修改内容：

//Account setting.
const accountConfig = {
  username: '1',
  password: '1',
}
 module.exports = {
   'login tests': function (browser) {
     browser
     .url('http://127.0.0.1:8080').maximizeWindow()
     .pause(1000)
     .waitForElementVisible('body', 100)
     .setValue('input[type=text]',accountConfig.username)
     .pause(100)
     .setValue('input[type=password]',accountConfig.password)
     .pause(100)
     .click('button[id=login-button]')
     .pause(1000)
//点击综合业务-已生成短信查询
     .click('#vc-tree-name-综合业务')
     .pause(1000)
     .click('#vc-tree-name-短信管理')
     .pause(5000)
     //通过用户编号、姓名查询生成的短信息
     .setValue('#tooltip div span div :first-child input[placeholder=用户编号]','1001000069')
     .pause(1000)
     .setValue('#tooltip div span div :nth-child(2) input[placeholder=用户姓名]','彭君')
     .pause(1000)
     .click('#comprehen-message-mesLis-查询')
     .pause(1000)
     .clearValue('#tooltip div span div :first-child input[placeholder=用户编号]')
     .pause(500)
     .clearValue('#tooltip div span div :nth-child(2) input[placeholder=用户姓名]')
     //通过生成日期查询已生成短信
     .pause(1000)
     .setValue('#tooltip div span div :nth-child(3) input[placeholder=生成日期]','2017-11-17')
     .pause(1000)
     .click('#comprehen-message-mesLis-查询')
     .pause(1000)
     .clearValue('#tooltip div span div :nth-child(3) input[placeholder=生成日期]')
     //通过短信发送状态查询
     .pause(1000)
     .click('#tooltip div span div :nth-child(4) div button')
     .pause(1000)
     .click('#tooltip div span div :nth-child(4) div ul li:nth-child(2)')
     .pause(1000)
     .click('#comprehen-message-mesLis-查询')
     .pause(5000)
     .end();
   }
 }
